Skip to content
admin

/api/v1/admin/participant/decrypt

POST
/api/v1/admin/participant/decrypt
curl --request POST \
--url https://dpg.example.com/api/v1/admin/participant/decrypt \
--header 'Content-Type: application/json' \
--header 'x-acting-org-id: example' \
--header 'x-api-key: <x-api-key>' \
--data '{ "item_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "user_id": "example", "fields": [ "example" ], "contact": true, "include_locations": true }'
x-acting-org-id
required
string

Organization this request acts on behalf of. Required for admin/aggregator operations.

Media typeapplication/json
object
item_ids
Array<string>
>= 1 items
user_id
string
>= 1 characters
fields
Array<string>
<= 50 items
contact
Any of:
boolean
include_locations
boolean

Default Response

Media typeapplication/json
object
profiles
required

In user_id mode, ordered newest first by created_at (ties broken by item_id), matching GET/POST /admin/participant. In item_ids mode the order follows the database, not the requested ids.

Array<object>
object
item_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
item_network
required
string
item_domain
required
string
item_type
required
string
item_state
required
object
key
additional properties
contact
object
name
object
value
required
string
nullable
source
required
string
nullable
Allowed values: item user
email
object
value
required
string
nullable
source
required
string
nullable
Allowed values: item user
phone
object
value
required
string
nullable
source
required
string
nullable
Allowed values: item user
locations
Array<object>
object
lat
required
number
>= -90 <= 90
lng
required
number
>= -180 <= 180
label
string
created_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$/
updated_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$/
skipped
required
Array<string>
Example
{
"profiles": [
{
"contact": {
"name": {
"source": "item"
},
"email": {
"source": "item"
},
"phone": {
"source": "item"
}
}
}
]
}